
Infrastructure - Task #3158

Clean up erroneous error message in index processing log

2012-08-27 21:37 - Skye Roseboom

Status: Closed Start date: 2012-08-27

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.35-Block.5.2   

Milestone: CCI-1.0.4 Story Points:  

Product Version: *   

Description

While processing system metadata update for ORE/resource maps - the delete from index logic for resource maps needs to check

whether the resource map has been copied locally - before processing the delete.   

If objectPath is empty, cannot delete the resource map from index - need to update associated resources' data relationships

(resourceMap, documents, isDocumentedBy).

History

#1 - 2012-08-27 21:44 - Skye Roseboom

- Status changed from In Progress to Testing

Copied onto 1.0.0 branch, ready for testing.

update cn-index-processor component.

#2 - 2012-09-12 14:23 - Skye Roseboom

- Status changed from Testing to Closed

tested in stage with RC branch code.  Error where object path is missing for a delete request from index has been resolved.  Testing for existence of

object path file location before attempting to process task.  integrates with index task retry backoff stragety 3162
